﻿Imports C1.Web.Wijmo.Controls.C1ReportViewer
Imports C1.C1Preview
Imports C1.C1Report

Partial Class _Default
    Inherits System.Web.UI.Page

    Private dbpath As String = HttpContext.Current.Server.MapPath("~/App_Data/TwoTables.mdb")
    Private rptpath As String, query As String, rptname As String

    Protected Sub Page_Load(sender As Object, e As System.EventArgs) Handles Me.Load
        query = "SELECT DISTINCT [Ten Most Expensive Products].TenMostExpensiveProducts," & vbTab & "[Ten Most Expensive Products].UnitPrice FROM  [Ten Most Expensive Products];"
        rptpath = HttpContext.Current.Server.MapPath("~/ReportLayout/MostExpensive.xml")
        rptname = "MostExpensive"

        C1ReportViewer.RegisterDocument(rptname, AddressOf MakeDoc)

        C1ReportViewer1.FileName = rptname
        C1ReportViewer1.ReportName = rptname
    End Sub

    Protected Sub Button1_Click(sender As Object, e As EventArgs)
        If C1ReportViewer.HasCachedDocument(C1ReportViewer1.FileName, C1ReportViewer1.ReportName) Then
            C1ReportViewer.UnRegisterDocument(rptname)
        End If

        query = "SELECT DISTINCT [Quarterly Orders].CustomerID, [Quarterly Orders].CompanyName,[Quarterly Orders].City, [Quarterly Orders].Country FROM  [Quarterly Orders] WHERE [Quarterly Orders].Country = """ + ddlCountry.SelectedItem.Text + """;"
        rptpath = HttpContext.Current.Server.MapPath("~/ReportLayout/QuarterlyOrdersReport.xml")
        rptname = "Quarterly Orders Report"

        C1ReportViewer.RegisterDocument(rptname, AddressOf MakeDoc)

        C1ReportViewer1.FileName = rptname
        C1ReportViewer1.ReportName = rptname + "_" + ddlCountry.SelectedItem.Text

    End Sub

    Protected Function MakeDoc() As C1PrintDocument
        Dim report As C1Report = C1ReportViewer.CreateC1Report()
        report.Load(rptpath, rptname)
        report.DataSource.ConnectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + dbpath + ";Persist Security Info=False"
        report.DataSource.RecordSource = query
        report.Render()
        Return report.C1Document

    End Function

    
End Class
